package model

import (
	"time"
)

type TaCmsNews struct {
	NewsId          string    `xorm:"not null pk VARCHAR(64)"`
	ImageUrl        string    `xorm:"VARCHAR(128)"`
	ForwardType     string    `xorm:"VARCHAR(32)"`
	ForwardUrl      string    `xorm:"VARCHAR(255)"`
	ForwardCourseId string    `xorm:"VARCHAR(64)"`
	Status          int       `xorm:"comment('是否发布，0否1是') SMALLINT(6)"`
	Title           string    `xorm:"VARCHAR(128)"`
	CaseId          string    `xorm:"VARCHAR(64)"`
	OrgId           string    `xorm:"VARCHAR(64)"`
	CreateUser      string    `xorm:"VARCHAR(64)"`
	CreateDate      time.Time `xorm:"DATETIME"`
	PublicDate      time.Time `xorm:"DATETIME"`
}
